Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum ESqlClause

    java.lang.Object
      java.lang.Enum<ESqlClause>
          gudusoft.gsqlparser.ESqlClause

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ESqlClause>

    public enum ESqlClause

extends java.lang.Enum<ESqlClause>

Enum for various SQL clause such as where clause, having clause and etc.

Enum Constant Summary
`compute`
`cte`
`expandOn` teradata expand on clause
`forUpdate`
`groupby`
`having`
`hierarchical`
`insertValues` values clause of insert
`join`
`joinCondition`
`limit`
`lockingClause` postgresql for update of,
`orderby`
`output` output clause in update statement
`qualify` teradata qualify clause
`resultColumn` can be select list, insert into columns
`returning` returning clause in update statement
`sample` SQL Server sample clause
`selectInto` into clause in select
`selectValue` value clause in select
`set` set clause in update
`teradataWith`
`top` sql server top clause
`unknown`
`viewAlias` view alias in create view statement
`where`

Method Summary
`static ESqlClause` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ESqlClause[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### unknown

    public static final ESqlClause unknown

### resultColumn

    public static final ESqlClause resultColumn

  can be select list, insert into columns

### where

    public static final ESqlClause where

### having

    public static final ESqlClause having

### groupby

    public static final ESqlClause groupby

### orderby

    public static final ESqlClause orderby

### joinCondition

    public static final ESqlClause joinCondition

### join

    public static final ESqlClause join

### hierarchical

    public static final ESqlClause hierarchical

### compute

    public static final ESqlClause compute

### top

    public static final ESqlClause top

  sql server top clause

### set

    public static final ESqlClause set

  set clause in update

### insertValues

    public static final ESqlClause insertValues

  values clause of insert

### selectInto

    public static final ESqlClause selectInto

  into clause in select

### qualify

    public static final ESqlClause qualify

  teradata qualify clause

### sample

    public static final ESqlClause sample

  SQL Server sample clause

### teradataWith

    public static final ESqlClause teradataWith

### expandOn

    public static final ESqlClause expandOn

  teradata expand on clause

### limit

    public static final ESqlClause limit

### selectValue

    public static final ESqlClause selectValue

  value clause in select

### viewAlias

    public static final ESqlClause viewAlias

  view alias in create view statement

### cte

    public static final ESqlClause cte

### forUpdate

    public static final ESqlClause forUpdate

### output

    public static final ESqlClause output

  output clause in update statement

### returning

    public static final ESqlClause returning

  returning clause in update statement

### lockingClause

    public static final ESqlClause lockingClause

  postgresql for update of,

Method Detail

### values

    public static final ESqlClause[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ESqlClause c : ESqlClause.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ESqlClause valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD